/*
** SellaNMS
** $Id: configuration.h,v 1.5 2005/11/26 06:48:45 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __DGS_LIBS_CONFIGURATION_H
#define __DGS_LIBS_CONFIGURATION_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "confignode.h"
#include <stl/string>

class Configuration {
	public:
		Configuration();
		virtual ~Configuration();

		/* API */
		virtual RESULT read(string source) = 0;
		virtual RESULT get(string request, ConfigNode** node);

	protected:
		ConfigNode* config;
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3
*/
